<!DOCTYPE html>
<html>
  <head>
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-126198071-1"></script>
    <script>
     window.dataLayer = window.dataLayer || [];
     function gtag(){dataLayer.push(arguments);}
     gtag('js', new Date());

     gtag('config', 'UA-126198071-1');
    </script>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <script type="text/javascript" src="https://code.jquery.com/jquery-1.8.3.js"></script>

    <style type="text/css">
     body { margin:0; }
    </style>

    <script type="text/javascript">

     function download(filename, text) {
       var element = document.createElement('a');
       element.setAttribute('href', 'data:text/plain;charset=utf-8,' + encodeURIComponent(text));
       element.setAttribute('download', filename);

       element.style.display = 'none';
       document.body.appendChild(element);

       element.click();

       document.body.removeChild(element);
     }

     var output = ""

     function pulisci()
     {
       output = ""
       document.getElementById("dati").innerHTML = "";
     }

     function caricaImmagine()
     {
       document.getElementById('immagine').setAttribute("src", document.getElementById('filename').value+'.jpg');
       pulisci();
     }


     $(window).load(function(){

       $(function() {
         $(document).dblclick(function(e) {
           output = output.concat(e.pageX + ' ' + e.pageY + '\n');
           document.getElementById("dati").innerHTML = output.replace(/\n/g, "<br />");
         });
       })
     });
    </script>

  </head>

  <body>
    <p>Questo tool è stato sviluppato da <a href="https://uz.sns.it/~marco_venuti/">Marco Venuti</a> nel 2018.<br>
       Questo è un riadattamento per renderlo utilizzabile nell'esperienza di fisica per il rapporto carica-massa dell'elettrone.
    </p>
    <img id="immagine" src="lunar-halo.jpg"><br />
    Nome file: <input type="text" id="filename" list="files">
    <button onclick="caricaImmagine();" >Carica immagine</button>
    <button onclick="pulisci();" >Pulisci</button>
    <button onclick="download(document.getElementById('filename').value+'-data.txt',output);" >Salva</button>
    <a href="./">Home page</a>
    <div id="dati"></div>

    <datalist id="files">
      <option value="img01">
      <option value="img02">
      <option value="img03">
      <option value="img04">
      <option value="img05">
      <option value="img06">
      <option value="img07">
      <option value="img08">
      <option value="img09">
      <option value="img10">
      <option value="img11">
      <option value="img12">
      <option value="img13">
    </datalist>
  </body>
</html>
